colmap(1)

NAME
colmap - Structure-from-Motion and Multi-View Stereo

SYNOPSIS
colmap [command] [options]

DESCRIPTION
This manual page documents briefly the colmap command.

COLMAP is a general-purpose Structure-from-Motion (SfM) and Multi-View Stereo (MVS) pipeline with a graphical and command-line interface. It offers a wide range of features for reconstruction of ordered and unordered image collections.

OPTIONS
This program offers a graphical and command-line interface. Each command offers summary of all available options.

help [ -h, --help ]
    Show summary of all options.

gui Start graphical interface.

gui -h [ --help ]
    Show summary of graphical interface options.

feature_extractor -h [ --help ]
    Show summary of feature extractor options.

feature_extractor --image_path IMAGES --database_path DATABASE
    Extract features for images in the given folder and store them in the database.

...

ONLINE DOCUMENTATION
The program is documented at https://colmap.github.io/